## Getting Started

Getting started is easy.

`npm install easy-docs`

## ModuleClass

Class used to test jsdoc templating. This class will start very minimal and grow as various documenting use cases become apparent.

Class
ModuleClass(opts)

#### Parameters

Name | Type | Description
--- | --- | ---
opts | object | ModuleClass options.

##### opts

Name | Type | Description
--- | --- | ---
prop1 | string | A very import property.
prop2 | string | A less important property.

    var module = new ModuleClass({
      prop1: 'super duper important'
      prop2: 'ehhh'
    });

### classMethod

A method that accepts some arguments and returns something.

Function
classMethod(str, arr, obj, callback)

#### Parameters

Name | Type | Description
--- | --- | ---
str | striing | A primitive string.
arr | Array | An array of some numbers.
obj | Object | Props and values yo.
callback | function | Callback after you have done something sweet.

#### Returns

Type | Description
--- | ---
string | A modified string.

    module.method('string', [0, 1], {
      prop: 'value'
    }, function () {});

## moduleObject

Class used to test jsdoc templating. This class will start very minimal and grow as various documenting use cases become apparent.

### objectMethod

Class used to test jsdoc templating. This class will start very minimal and grow as various documenting use cases become apparent.

Function
objectMethod(opts)

#### Parameters

Name | Type | Description
--- | --- | ---
opts | object | moduleFunction options.

##### opts

Name | Type | Description
--- | --- | ---
prop1 | string | A very import property.
prop2 | string | A less important property.

    moduleObject.method({
      prop1: 'super duper important'
      prop2: 'ehhh'
    });

## moduleFunction

Class used to test jsdoc templating. This class will start very minimal and grow as various documenting use cases become apparent.

Function
moduleFunction(opts)

#### Parameters

Name | Type | Description
--- | --- | ---
opts | object | moduleFunction options.

##### opts

Name | Type | Description
--- | --- | ---
prop1 | string | A very import property.
prop2 | string | A less important property.

    moduleFunction({
      prop1: 'super duper important'
      prop2: 'ehhh'
    });

## License

The MIT License (MIT) Copyright (c) 2014 First Opinion

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.